
------------------------------------------------------------------------------------------------
-- Asteroid Class --
------------------------------------------------------------------------------------------------
local Asteroid = Object:extend()


function Asteroid:new(x, y)
  self.image    = love.graphics.newImage("assets/asteroid.png")
  self.width    = self.image:getWidth()
  self.height   = self.image:getHeight()
  self.x        = x or screenWidth
  self.y        = y or love.math.random(0, screenHeight-self.height)
  self.xvel     = -200
  self.removed  = false
  return self
end



function Asteroid:update(dt)
  self.x = self.x + self.xvel * dt
  if self.x < -self.width then self.removed = true end
end



function Asteroid:draw()
  love.graphics.draw(self.image, self.x, self.y)
end

return Asteroid