
-------------------
-- Spawn Objects --
-------------------
screenWidth, screenHeight = love.graphics.getDimensions()
Object    = require("classic")
Asteroid  = require("Asteroid")



function love.load()
  objects     = {}
  spawnTimer  = 0
  spawnRate   = 2
end


function love.update(dt)
  -- Spawn Objects --
  spawnTimer = spawnTimer + dt
  if spawnTimer > spawnRate then
    table.insert(objects, Asteroid())
    spawnTimer = 0
  end
  
  -- Update Objects --
  for k, object in pairs(objects) do
    if not object.removed then object:update(dt)
    else table.remove(objects, k) end
  end
end


function love.draw(dt)
  -- Draw Objects --
  for _, object in pairs(objects) do object:draw(dt) end
  
  -- Object Amount --
  love.graphics.print("Objects: "..#objects, 10, 10)
end


function love.keypressed(key)
  if key == "escape" then love.event.quit()
  elseif key == "r" then love.load() end
end


